From ad7baac914aa306ac419d3b76495b45958df0e85 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Fri, 29 Apr 2022 10:55:43 +0200
Subject: [PATCH] case-sensitivity note in initdb

---
 doc/src/sgml/ref/initdb.sgml | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/ref/initdb.sgml b/doc/src/sgml/ref/initdb.sgml
index c9ffaaecfb..0d75f7e0ec 100644
--- a/doc/src/sgml/ref/initdb.sgml
+++ b/doc/src/sgml/ref/initdb.sgml
@@ -137,6 +137,13 @@ PostgreSQL documentation
  <refsect1>
   <title>Options</title>
 
+   <para>
+    Be mindful that arguments to options <option>--auth</option>,
+    <option>--auth-local</option>, <option>--encoding</option>,
+    <option>--locale</option> (and all <option>--lc-*</option> options) are
+    case-sensitive.
+   </para>
+
    <para>
     <variablelist>
      <varlistentry>
@@ -146,7 +153,12 @@ PostgreSQL documentation
        <para>
         This option specifies the default authentication method for local
         users used in <filename>pg_hba.conf</filename> (<literal>host</literal>
-        and <literal>local</literal> lines).  <command>initdb</command> will
+        and <literal>local</literal> lines).  See <xref linkend="auth-pg-hba-conf"/>
+        for an overview of valid values.
+       </para>
+
+       <para>
+        <command>initdb</command> will
         prepopulate <filename>pg_hba.conf</filename> entries using the
         specified authentication method for non-replication as well as
         replication connections.
@@ -176,7 +188,8 @@ PostgreSQL documentation
        <para>
         This option specifies the authentication method for local users via
         Unix-domain socket connections used in <filename>pg_hba.conf</filename>
-        (<literal>local</literal> lines).
+        (<literal>local</literal> lines).  See <xref linkend="auth-pg-hba-conf"/>
+        for an overview of valid values.
        </para>
       </listitem>
      </varlistentry>
@@ -575,6 +588,7 @@ PostgreSQL documentation
   <simplelist type="inline">
    <member><xref linkend="app-pg-ctl"/></member>
    <member><xref linkend="app-postgres"/></member>
+   <member><xref linkend="auth-pg-hba-conf"/></member>
   </simplelist>
  </refsect1>
 
-- 
2.30.2

